### File

`packages/base/src/lib/eui-models/eui-config/log.config.ts`

### Description

log configuration

### Index

###### Properties
Optional baseLoggerName Optional logAppenders Optional logLevel

### Properties

baseLoggerName
`baseLoggerName: `string``
Type : `string`
Optional
the name of the default logger, if LogService is used directly. Default: root

logAppenders
`logAppenders: `LogAppenderType | LogAppenderType[]``
Type : `LogAppenderType | LogAppenderType[]`
Optional
a list of log appenders' types. Default: ConsoleAppender with prefixFormat: '[{level}]'

logLevel
`logLevel: `LogLevel``
Type : `LogLevel`
Optional
log level. Default: LogLevel.ERROR

# results matching ""

# No results matching ""